%define rel	4

Name:		kronometer
Version:	2.2.3
Release:	%mkrel %{rel}
Summary:	A simple stopwatch application for Plasma 5
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		http://www.aelog.org/kronometer
Source0:	http://download.kde.org/stable/kronometer/%{version}/src/%{name}-%{version}.tar.xz
# Kf5 BuildRequires
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
# Qt5 BuildRequires
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

Recommends:	%{name}-handbook

%description
Kronometer is a stopwatch application for Plasma 5.

Kronometer’s main features are the following:

* Start/pause/resume the stopwatch widget.
* Laps recording: you can capture the stopwatch time when you want and add a
  note to it.
* Lap times sorting: you can easily find the shortest lap time or the longest
  one.
* Reset the stopwatch widget and the lap times.
* Time format settings: you can choose the stopwatch granularity.
* Times saving and resuming: you can save the stopwatch status and resume it
  later.
* Font customization: you can choose the fonts for each of the stopwatch
  digits.
* Color customization: you can choose the color for the stopwatch digits and
  the stopwatch background.
* Lap times export: you can export the lap times on a file using the JSON or
  CSV format.

%files -f %{name}.lang
%doc CHANGELOG README
%license COPYING
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%package	handbook
Summary:	Kronometer Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides Kronometer handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 2.2.3-4.mga8
+ Revision: 1658809
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 2.2.3-3.mga8
+ Revision: 1588490
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 2.2.3-2.mga8
+ Revision: 1527978
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Jul 29 2019 daviddavid <daviddavid> 2.2.3-1.mga8
+ Revision: 1424867
- new version: 2.2.3

* Mon May 20 2019 daviddavid <daviddavid> 2.2.2-1.mga7
+ Revision: 1398624
- new version: 2.2.2

* Sun Mar 31 2019 umeabot <umeabot> 2.2.1-3.mga7
+ Revision: 1382830
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.2.1-2.mga7
+ Revision: 1298650
- Mageia 7 Mass Rebuild

* Wed Jan 31 2018 daviddavid <daviddavid> 2.2.1-1.mga7
+ Revision: 1198172
- new version: 2.2.1

* Thu Jan 04 2018 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1190080
- new version: 2.2.0

* Sun Jul 02 2017 daviddavid <daviddavid> 2.1.5-1.mga6
+ Revision: 1108917
- new version: 2.1.5

* Thu Feb 16 2017 daviddavid <daviddavid> 2.1.4-1.mga6
+ Revision: 1086466
- new version: 2.1.4

* Mon Jan 30 2017 daviddavid <daviddavid> 2.1.3-1.mga6
+ Revision: 1084264
- new version: 2.1.3

* Sun Nov 27 2016 daviddavid <daviddavid> 2.1.2-1.mga6
+ Revision: 1070368
- new version: 2.1.2

* Sun Aug 07 2016 daviddavid <daviddavid> 2.1.1-1.mga6
+ Revision: 1044876
- initial package kronometer

